/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ021MS01V01.java

*

* Created on 13/11/09 10:48:49

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public interface Q02bITablaBDQ021MS01V01 {

    /** Method reset */

    public void reset();



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna);



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect();



    /** Method freeResources() 

    * Este método libera los recursos del DAO.

    */

    public void freeResources();



    /** Method freeResourcesNotConnection() 

    * Este método libera los recursos del DAO.

    */

    public void freeResourcesNotConnection();



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect();



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas);



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas);



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom();



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif();



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead();



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur);



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate();



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu);



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas);



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy();



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException ;



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException ;



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException;



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException;



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException;



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException;



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException;



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException;



    public void setQ021MT00_ID_WHERE(int valor);

    public void setQ021MT00_ID_WHERE(Integer valor);

    public void setQ021MT00_ID_MODIF(boolean valor);

    public void setQ022FT00_IDUSUARIO_WHERE(int valor);

    public void setQ022FT00_IDUSUARIO_WHERE(Integer valor);

    public void setQ022FT00_IDUSUARIO_MODIF(boolean valor);

    public void setFCA02T00_CODPROVINC_WHERE(String valor);

    public void setFCA02T00_CODPROVINC_MODIF(boolean valor);

    public void setID_WHERE(String valor);

    public void setID_MODIF(boolean valor);

    public void setDS_O_WHERE(String valor);

    public void setDS_O_MODIF(boolean valor);

    /** Getter for property Q021MT00_ID_WHERE.

    * @return Value of property Q021MT00_ID_WHERE.

    */

    public Integer getQ021MT00_ID_WHERE();



    /** Getter for property Q022FT00_IDUSUARIO_WHERE.

    * @return Value of property Q022FT00_IDUSUARIO_WHERE.

    */

    public Integer getQ022FT00_IDUSUARIO_WHERE();



    /** Getter for property FCA02T00_CODPROVINC_WHERE.

    * @return Value of property FCA02T00_CODPROVINC_WHERE.

    */

    public String getFCA02T00_CODPROVINC_WHERE();



    /** Getter for property ID_WHERE.

    * @return Value of property ID_WHERE.

    */

    public String getID_WHERE();



    /** Getter for property DS_O_WHERE.

    * @return Value of property DS_O_WHERE.

    */

    public String getDS_O_WHERE();



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor);



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase();



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion();



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog();



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor);



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros();



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor);



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy();



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor);



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere();



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere();



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor);



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere();



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor);



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor);



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct();



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor);



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio();



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor);



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal();



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor);



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows();



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor);



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax();



    /** Getter for property conexion.

    * @return Value of property conexion.

    */

    public Connection getConn();



}

